Skip to main content
GET
/
v1
/
auth
/
api-keys
List API keys
curl --request GET \
  --url http://127.0.0.1:8787/v1/auth/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "enabled": true,
      "permissions": [
        "<string>"
      ],
      "metadata": {},
      "createdAt": "2023-12-25",
      "updatedAt": "2023-12-25",
      "requestCount": 123
    }
  ],
  "error": {},
  "pagination": {
    "limit": 10,
    "has_more": false,
    "next_cursor": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.kayle.id/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Maximum number of API keys to return. Defaults to 10 if not specified.

Required range: 1 <= x <= 100
starting_after
string

Cursor of the last item from the previous page. When provided, the next page of results will be returned.

Response

Retrieve API keys.

data
object[]
required
error
object
required
pagination
object
required